diff --git a/castle/RiscOS/Sources/HWSupport/Mouse/Makefile b/castle/RiscOS/Sources/HWSupport/Mouse/Makefile
index e33a9ea..82e4238 100644
--- a/castle/RiscOS/Sources/HWSupport/Mouse/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Mouse/Makefile
@@ -31,4 +31,4 @@ ROM_SOURCE = GetAll.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/NVRAM/Makefile b/castle/RiscOS/Sources/HWSupport/NVRAM/Makefile
index 98755df..8b91657 100644
--- a/castle/RiscOS/Sources/HWSupport/NVRAM/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/NVRAM/Makefile
@@ -135,4 +135,4 @@ ${EXP_H}.${COMPONENT}: export.h.${COMPONENT}
 ${EXP_HDR}.${COMPONENT}: export.hdr.${COMPONENT}
         ${CP} export.hdr.${COMPONENT} $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/NVRAM/Utils/Lazarus/MakeImage/Makefile b/castle/RiscOS/Sources/HWSupport/NVRAM/Utils/Lazarus/MakeImage/Makefile
index b36d547..b9911d1 100644
--- a/castle/RiscOS/Sources/HWSupport/NVRAM/Utils/Lazarus/MakeImage/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/NVRAM/Utils/Lazarus/MakeImage/Makefile
@@ -108,4 +108,4 @@ ${TARGET}: ${OBJS} ${CLIB}
         ${LD} -o $@ -aif ${OBJS} ${CLIB}
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/PCI/Makefile b/castle/RiscOS/Sources/HWSupport/PCI/Makefile
index 82e91cb..46dd0b4 100644
--- a/castle/RiscOS/Sources/HWSupport/PCI/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/PCI/Makefile
@@ -49,4 +49,4 @@ clean::
         ${WIPE} rm ${WFLAGS}
         @@echo ${COMPONENT}: cleaned 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/PS2Driver/Makefile b/castle/RiscOS/Sources/HWSupport/PS2Driver/Makefile
index 646b684..a8e455f 100644
--- a/castle/RiscOS/Sources/HWSupport/PS2Driver/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/PS2Driver/Makefile
@@ -35,4 +35,4 @@ SA_FLAGS   =
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Parallel/Makefile b/castle/RiscOS/Sources/HWSupport/Parallel/Makefile
index e7d378b..60540c4 100644
--- a/castle/RiscOS/Sources/HWSupport/Parallel/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Parallel/Makefile
@@ -32,4 +32,4 @@ HEADER1   = Parallel
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Podule/Makefile b/castle/RiscOS/Sources/HWSupport/Podule/Makefile
index 1cf5177..f9605af 100644
--- a/castle/RiscOS/Sources/HWSupport/Podule/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Podule/Makefile
@@ -52,4 +52,4 @@ ASFLAGS     = ${OPTIONS}
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/PortMan/Makefile b/castle/RiscOS/Sources/HWSupport/PortMan/Makefile
index 67a5853..da96b2d 100644
--- a/castle/RiscOS/Sources/HWSupport/PortMan/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/PortMan/Makefile
@@ -193,4 +193,4 @@ sao.module: h.saheader
 o<Machine>.resfiles: Resources.<Machine>.Tags
 o<Machine>.resfiles: LocalRes:Messages
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Portable/Makefile b/castle/RiscOS/Sources/HWSupport/Portable/Makefile
index 4e3ea67..f32a571 100644
--- a/castle/RiscOS/Sources/HWSupport/Portable/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Portable/Makefile
@@ -39,4 +39,4 @@ resources_lcd:
         ${CP} LocalRes:SelectLCD ${RESFSDIR}.SelectLCD ${CPFLAGS}
         @echo ${COMPONENT}: extra resource files copied to Messages module
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/RTCAdjust/Makefile b/castle/RiscOS/Sources/HWSupport/RTCAdjust/Makefile
index 14455aa..c90fe29 100644
--- a/castle/RiscOS/Sources/HWSupport/RTCAdjust/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/RTCAdjust/Makefile
@@ -34,4 +34,4 @@ ROM_SOURCE = RTC.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/SCSI/SCSIDriver/Makefile b/castle/RiscOS/Sources/HWSupport/SCSI/SCSIDriver/Makefile
index 2b2d767..351dd1a 100644
--- a/castle/RiscOS/Sources/HWSupport/SCSI/SCSIDriver/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/SCSI/SCSIDriver/Makefile
@@ -33,4 +33,4 @@ endif
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/SerMouse/Makefile b/castle/RiscOS/Sources/HWSupport/SerMouse/Makefile
index b537df5..28e8232 100644
--- a/castle/RiscOS/Sources/HWSupport/SerMouse/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/SerMouse/Makefile
@@ -32,4 +32,4 @@ ROM_SOURCE = GetAll.s
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Serial/Makefile b/castle/RiscOS/Sources/HWSupport/Serial/Makefile
index 55306df..764c708 100644
--- a/castle/RiscOS/Sources/HWSupport/Serial/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Serial/Makefile
@@ -33,4 +33,4 @@ HEADER2   = RS423
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/SerialSpt/Makefile b/castle/RiscOS/Sources/HWSupport/SerialSpt/Makefile
index 62d5a0e..dc42f7d 100644
--- a/castle/RiscOS/Sources/HWSupport/SerialSpt/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/SerialSpt/Makefile
@@ -33,4 +33,4 @@ HEADER1   = SerialOp
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Sound/Sound0/Makefile b/castle/RiscOS/Sources/HWSupport/Sound/Sound0/Makefile
index ce58c55..2186f02 100644
--- a/castle/RiscOS/Sources/HWSupport/Sound/Sound0/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Sound/Sound0/Makefile
@@ -35,4 +35,4 @@ RESFSDIR  = ${RESDIR}.${COMPONENT}
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Sound/Sound1/Makefile b/castle/RiscOS/Sources/HWSupport/Sound/Sound1/Makefile
index 5b6f200..0ce4b02 100644
--- a/castle/RiscOS/Sources/HWSupport/Sound/Sound1/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Sound/Sound1/Makefile
@@ -34,4 +34,4 @@ RESFSDIR  = ${RESDIR}.SoundChann
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Sound/Sound2/Makefile b/castle/RiscOS/Sources/HWSupport/Sound/Sound2/Makefile
index 59cf643..bcf00c3 100644
--- a/castle/RiscOS/Sources/HWSupport/Sound/Sound2/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Sound/Sound2/Makefile
@@ -34,4 +34,4 @@ RESFSDIR  = ${RESDIR}.SoundSched
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Sound/Voices/Percussion/Makefile b/castle/RiscOS/Sources/HWSupport/Sound/Voices/Percussion/Makefile
index 0a1503c..7e29e34 100644
--- a/castle/RiscOS/Sources/HWSupport/Sound/Voices/Percussion/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Sound/Voices/Percussion/Makefile
@@ -30,4 +30,4 @@ COMPONENT = Percussion
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Sound/Voices/StringLib/Makefile b/castle/RiscOS/Sources/HWSupport/Sound/Voices/StringLib/Makefile
index 31a7f2a..f936723 100644
--- a/castle/RiscOS/Sources/HWSupport/Sound/Voices/StringLib/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Sound/Voices/StringLib/Makefile
@@ -33,4 +33,4 @@ COMPONENT = StringLib
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/Sound/Voices/WaveSynth/Makefile b/castle/RiscOS/Sources/HWSupport/Sound/Voices/WaveSynth/Makefile
index ad565cc..39e90b3 100644
--- a/castle/RiscOS/Sources/HWSupport/Sound/Voices/WaveSynth/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/Sound/Voices/WaveSynth/Makefile
@@ -32,4 +32,4 @@ COMPONENT = WaveSynth
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/SystemDevs/Makefile b/castle/RiscOS/Sources/HWSupport/SystemDevs/Makefile
index ff204bb..a47724b 100644
--- a/castle/RiscOS/Sources/HWSupport/SystemDevs/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/SystemDevs/Makefile
@@ -33,4 +33,4 @@ TARGET    = SystemDevs
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/HWSupport/UnSqzAIF/Makefile b/castle/RiscOS/Sources/HWSupport/UnSqzAIF/Makefile
index 25bfa2f..efbedfe 100644
--- a/castle/RiscOS/Sources/HWSupport/UnSqzAIF/Makefile
+++ b/castle/RiscOS/Sources/HWSupport/UnSqzAIF/Makefile
@@ -25,4 +25,4 @@ RESOURCES  = no
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/IntKey/Makefile b/castle/RiscOS/Sources/Internat/IntKey/Makefile
index f58555e..0c613b4 100644
--- a/castle/RiscOS/Sources/Internat/IntKey/Makefile
+++ b/castle/RiscOS/Sources/Internat/IntKey/Makefile
@@ -78,4 +78,4 @@ keyconvert: keyconvert.c unicdata.c
 
 install: ${LAYOUTS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/Inter/Makefile b/castle/RiscOS/Sources/Internat/Inter/Makefile
index 7f4db5a..a5237c3 100644
--- a/castle/RiscOS/Sources/Internat/Inter/Makefile
+++ b/castle/RiscOS/Sources/Internat/Inter/Makefile
@@ -38,4 +38,4 @@ TOKHELPSRC  = ${TOKENSOURCE}
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/Messages/Makefile b/castle/RiscOS/Sources/Internat/Messages/Makefile
index 77ad3e1..c62eabe 100644
--- a/castle/RiscOS/Sources/Internat/Messages/Makefile
+++ b/castle/RiscOS/Sources/Internat/Messages/Makefile
@@ -221,4 +221,4 @@ ${DIRS}:
         ${MKDIR} rm.${BUILD}.<Build$LocaleListNumeric>
         ${TOUCH} ${DIRS}
         
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/Messages/Utils/Makefile b/castle/RiscOS/Sources/Internat/Messages/Utils/Makefile
index d8ac2a8..f63cfc8 100644
--- a/castle/RiscOS/Sources/Internat/Messages/Utils/Makefile
+++ b/castle/RiscOS/Sources/Internat/Messages/Utils/Makefile
@@ -79,4 +79,4 @@ ResCommon: o.ResCommon ${DIRS}
 LocaleChk: o.LocaleChk ${DIRS}
         ${LD} ${LDFLAGS} -o $@ o.LocaleChk ${CLIB}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/MsgTrans/Makefile b/castle/RiscOS/Sources/Internat/MsgTrans/Makefile
index d9bbf11..c0cd118 100644
--- a/castle/RiscOS/Sources/Internat/MsgTrans/Makefile
+++ b/castle/RiscOS/Sources/Internat/MsgTrans/Makefile
@@ -38,4 +38,4 @@ SA_DEBUG  =\
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/Territory/Manager/Makefile b/castle/RiscOS/Sources/Internat/Territory/Manager/Makefile
index 4add5fa..b022569 100644
--- a/castle/RiscOS/Sources/Internat/Territory/Manager/Makefile
+++ b/castle/RiscOS/Sources/Internat/Territory/Manager/Makefile
@@ -46,4 +46,4 @@ clean ::
         ${RM} ${SPRITEFILE}
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Internat/Territory/Module/Makefile b/castle/RiscOS/Sources/Internat/Territory/Module/Makefile
index bab05dc..58c31cd 100644
--- a/castle/RiscOS/Sources/Internat/Territory/Module/Makefile
+++ b/castle/RiscOS/Sources/Internat/Territory/Module/Makefile
@@ -62,4 +62,4 @@ bbe-local: bbe-generic-resources-get-alias
   BBE_Export_File VersionNum
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Kernel/Dev/HeapTest/Makefile b/castle/RiscOS/Sources/Kernel/Dev/HeapTest/Makefile
index 733960e..ea0030f 100644
--- a/castle/RiscOS/Sources/Kernel/Dev/HeapTest/Makefile
+++ b/castle/RiscOS/Sources/Kernel/Dev/HeapTest/Makefile
@@ -20,4 +20,4 @@ OBJS = asm testbed
 
 include CApp
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Kernel/Dev/IICTest/Makefile b/castle/RiscOS/Sources/Kernel/Dev/IICTest/Makefile
index 546588a..7d0d947 100644
--- a/castle/RiscOS/Sources/Kernel/Dev/IICTest/Makefile
+++ b/castle/RiscOS/Sources/Kernel/Dev/IICTest/Makefile
@@ -70,25 +70,4 @@ ${TARGET}: ${SOURCE}
 ${EXP_HDR}.${COMPONENT}: hdr.${COMPONENT}
 #       ${CP} hdr.${COMPONENT} $@ ${CPFLAGS}
 
-# Dynamic dependencies:
-rm.IICTest: Hdr:ListOpts
-rm.IICTest: Hdr:Macros
-rm.IICTest: Hdr:System
-rm.IICTest: Hdr:SWIs
-rm.IICTest: Hdr:CPU.Generic26
-rm.IICTest: Hdr:IO.GenericIO
-rm.IICTest: Hdr:RISCOS
-rm.IICTest: Hdr:Machine.<Machine>
-rm.IICTest: Hdr:Machine.Machine
-rm.IICTest: Hdr:ImageSize.<ImageSize>
-rm.IICTest: Hdr:CPU.ARM600
-rm.IICTest: Hdr:IO.IOMDL
-rm.IICTest: Hdr:IO.IOMD
-rm.IICTest: Hdr:MEMM.ARM600
-rm.IICTest: Hdr:VIDC.VIDC20
-rm.IICTest: Hdr:ModHand
-rm.IICTest: Hdr:Proc
-rm.IICTest: Hdr:CMOS
-rm.IICTest: ^.^.hdr.PublicWS
-rm.IICTest: ^.^.hdr.KernelWS
-rm.IICTest: ^.^.s.PMF.i2cutils
+include Depends
diff --git a/castle/RiscOS/Sources/Kernel/Makefile b/castle/RiscOS/Sources/Kernel/Makefile
index 09b0748..1a6be81 100644
--- a/castle/RiscOS/Sources/Kernel/Makefile
+++ b/castle/RiscOS/Sources/Kernel/Makefile
@@ -241,4 +241,4 @@ bbe-kernel: bbe-generic-resources-get-alias
         BBE_Export_Dir Resources.${LOCALE}.${USERIF}
         BBE_Export_File VersionNum
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Kernel/hdr/ExportVals/Makefile b/castle/RiscOS/Sources/Kernel/hdr/ExportVals/Makefile
index b6fae88..3fb5578 100644
--- a/castle/RiscOS/Sources/Kernel/hdr/ExportVals/Makefile
+++ b/castle/RiscOS/Sources/Kernel/hdr/ExportVals/Makefile
@@ -38,4 +38,4 @@ all:
         settype values text
         @echo ok
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/AsmUtils/Makefile b/castle/RiscOS/Sources/Lib/AsmUtils/Makefile
index 71d8d5c..874db1e 100644
--- a/castle/RiscOS/Sources/Lib/AsmUtils/Makefile
+++ b/castle/RiscOS/Sources/Lib/AsmUtils/Makefile
@@ -164,4 +164,4 @@ ${TARGET}: ${OBJS} ${LOCALDIRS}
 ${TARGETZ}: ${OBJSZ} ${LOCALDIRS}
 	${LB} ${LBFLAGS} -o $@ ${OBJSZ}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/Configure/Makefile b/castle/RiscOS/Sources/Lib/Configure/Makefile
index 0bbde05..167a5ce 100644
--- a/castle/RiscOS/Sources/Lib/Configure/Makefile
+++ b/castle/RiscOS/Sources/Lib/Configure/Makefile
@@ -26,4 +26,4 @@ include CLibrary
 
 CINCLUDES += -ITbox:,C:
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/DebugLib/Makefile b/castle/RiscOS/Sources/Lib/DebugLib/Makefile
index 870441a..1bc92de 100644
--- a/castle/RiscOS/Sources/Lib/DebugLib/Makefile
+++ b/castle/RiscOS/Sources/Lib/DebugLib/Makefile
@@ -320,4 +320,4 @@ $(EXP_HDR).$(COMPONENT): hdr.$(COMPONENT)
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/DebugLib/Tests/CLI_App/Makefile b/castle/RiscOS/Sources/Lib/DebugLib/Tests/CLI_App/Makefile
index 9afa38e..ef959c0 100644
--- a/castle/RiscOS/Sources/Lib/DebugLib/Tests/CLI_App/Makefile
+++ b/castle/RiscOS/Sources/Lib/DebugLib/Tests/CLI_App/Makefile
@@ -89,4 +89,4 @@ ${TARGET}: ${OBJS} ${LIBS} ${DIRS}
 ${TARGETMC}: ${OBJSMC} ${LIBSMC} ${DIRS}
 	${LD} ${LDFLAGS} -o $@ ${OBJSMC} ${LIBSMC}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/DebugLib/Tests/GUI_Test/Makefile b/castle/RiscOS/Sources/Lib/DebugLib/Tests/GUI_Test/Makefile
index 12f9ccc..2afdcb6 100644
--- a/castle/RiscOS/Sources/Lib/DebugLib/Tests/GUI_Test/Makefile
+++ b/castle/RiscOS/Sources/Lib/DebugLib/Tests/GUI_Test/Makefile
@@ -338,4 +338,4 @@ rm.!GUID: odz.ModuleWrap ${OBJSDZ} ${LIBSM} ${DIRS}
 
 
 # -----------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/DebugLib/Tests/TestMod/Makefile b/castle/RiscOS/Sources/Lib/DebugLib/Tests/TestMod/Makefile
index d0f2e81..c24b003 100644
--- a/castle/RiscOS/Sources/Lib/DebugLib/Tests/TestMod/Makefile
+++ b/castle/RiscOS/Sources/Lib/DebugLib/Tests/TestMod/Makefile
@@ -201,4 +201,4 @@ rom_link:
         ${CP} linked.${COMPONENT} ${LINKDIR}.${COMPONENT} ${CPFLAGS}
         @echo ${COMPONENT}: rom_link complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/ModMalloc/Makefile b/castle/RiscOS/Sources/Lib/ModMalloc/Makefile
index f50689e..b479824 100644
--- a/castle/RiscOS/Sources/Lib/ModMalloc/Makefile
+++ b/castle/RiscOS/Sources/Lib/ModMalloc/Makefile
@@ -84,4 +84,4 @@ ram:
 
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/PDebug/Makefile b/castle/RiscOS/Sources/Lib/PDebug/Makefile
index 1873429..a12a470 100644
--- a/castle/RiscOS/Sources/Lib/PDebug/Makefile
+++ b/castle/RiscOS/Sources/Lib/PDebug/Makefile
@@ -172,4 +172,4 @@ ${EXP_HDR}.${COMPONENT}: hdr.${COMPONENT}
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/PDebug/Utils/PDebugM/Makefile b/castle/RiscOS/Sources/Lib/PDebug/Utils/PDebugM/Makefile
index 9faf21a..b7a1838 100644
--- a/castle/RiscOS/Sources/Lib/PDebug/Utils/PDebugM/Makefile
+++ b/castle/RiscOS/Sources/Lib/PDebug/Utils/PDebugM/Makefile
@@ -199,4 +199,4 @@ rom_link:
         ${CP} linked.${COMPONENT} ${LINKDIR}.${COMPONENT} ${CPFLAGS}
         @echo ${COMPONENT}: rom_link complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleRec/Makefile b/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleRec/Makefile
index aa62297..2683f15 100644
--- a/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleRec/Makefile
+++ b/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleRec/Makefile
@@ -63,4 +63,4 @@ o.dirs:
 ${TARGET}: ${OBJS} ${LIBS} o.dirs
 	${LD} ${LDFLAGS} -o $@ ${OBJS} ${LIBS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleSend/Makefile b/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleSend/Makefile
index dbfdab1..f085a7d 100644
--- a/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleSend/Makefile
+++ b/castle/RiscOS/Sources/Lib/PDebug/Utils/SimpleSend/Makefile
@@ -63,4 +63,4 @@ o.dirs:
 ${TARGET}: ${OBJS} ${LIBS} o.dirs
 	${LD} ${LDFLAGS} -o $@ ${OBJS} ${LIBS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/PlainArgv/Makefile b/castle/RiscOS/Sources/Lib/PlainArgv/Makefile
index a504fda..c6bad18 100644
--- a/castle/RiscOS/Sources/Lib/PlainArgv/Makefile
+++ b/castle/RiscOS/Sources/Lib/PlainArgv/Makefile
@@ -85,4 +85,4 @@ ram:
 
 
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/RISC_OSLib/Makefile b/castle/RiscOS/Sources/Lib/RISC_OSLib/Makefile
index 152e7e3..64067e2 100644
--- a/castle/RiscOS/Sources/Lib/RISC_OSLib/Makefile
+++ b/castle/RiscOS/Sources/Lib/RISC_OSLib/Makefile
@@ -880,4 +880,4 @@ m_o_rl.trace: rlib.c.trace
 rm_o_rl.trace: rlib.c.trace
    ${CC} ${CFLAGS} -ffah ${DFLAGS} -zm1 ${CSFLAGS} ${STK_EXTN} ${OPTIONS} -DTRACE -o rm_o_rl.trace rlib.c.trace
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/RISC_OSLib/test/!TboxCalc/Makefile b/castle/RiscOS/Sources/Lib/RISC_OSLib/test/!TboxCalc/Makefile
index 97072af..9f5ae2b 100644
--- a/castle/RiscOS/Sources/Lib/RISC_OSLib/test/!TboxCalc/Makefile
+++ b/castle/RiscOS/Sources/Lib/RISC_OSLib/test/!TboxCalc/Makefile
@@ -41,4 +41,4 @@ Squeezeflags = -f $@
 @.o.foo:      @.s.foo
            objasm $(asflags) -o @.o.foo @.s.foo           
            
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/Unicode/Makefile b/castle/RiscOS/Sources/Lib/Unicode/Makefile
index 2cc0021..f872704 100644
--- a/castle/RiscOS/Sources/Lib/Unicode/Makefile
+++ b/castle/RiscOS/Sources/Lib/Unicode/Makefile
@@ -255,4 +255,4 @@ ${TARGETZ}: ${OBJSZ} unictype.c local_dirs
 ${TARGETD}: ${OBJSD} unictype.c local_dirs
 	${LB} ${LBFLAGS} -o ${COMPONENTD} ${OBJSD}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/callx/Makefile b/castle/RiscOS/Sources/Lib/callx/Makefile
index 81efe49..fd435b9 100644
--- a/castle/RiscOS/Sources/Lib/callx/Makefile
+++ b/castle/RiscOS/Sources/Lib/callx/Makefile
@@ -124,4 +124,4 @@ ${EXP_HDR}.${COMPONENT}: hdr.${COMPONENT}
 
 
 # ------------------------------------------------------------------------------
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Lib/remotedb/Makefile b/castle/RiscOS/Sources/Lib/remotedb/Makefile
index c696beb..027c436 100644
--- a/castle/RiscOS/Sources/Lib/remotedb/Makefile
+++ b/castle/RiscOS/Sources/Lib/remotedb/Makefile
@@ -137,4 +137,4 @@ export_libs: ${COMPONENT} ${COMPONENTZM} ${LCOMPONENT} ${LCOMPONENTZM} o.dirs
 
 
 #
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/AUN/AUNMsgs/Makefile b/castle/RiscOS/Sources/Networking/AUN/AUNMsgs/Makefile
index 2c51e75..2652a81 100644
--- a/castle/RiscOS/Sources/Networking/AUN/AUNMsgs/Makefile
+++ b/castle/RiscOS/Sources/Networking/AUN/AUNMsgs/Makefile
@@ -70,4 +70,4 @@ BBETYPE = aunmsgs
 bbe-aunmsgs: bbe-generic-resources-get-alias
         BBE_Export_File VersionNum
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/AUN/Access/Freeway/Makefile b/castle/RiscOS/Sources/Networking/AUN/Access/Freeway/Makefile
index 244cc83..e589ca6 100644
--- a/castle/RiscOS/Sources/Networking/AUN/Access/Freeway/Makefile
+++ b/castle/RiscOS/Sources/Networking/AUN/Access/Freeway/Makefile
@@ -40,4 +40,4 @@ resources:
         @echo ${COMPONENT}: Resources in AUNMsgs
 
 #
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/AUN/BootNet/Makefile b/castle/RiscOS/Sources/Networking/AUN/BootNet/Makefile
index 91b6158..0ae70e6 100644
--- a/castle/RiscOS/Sources/Networking/AUN/BootNet/Makefile
+++ b/castle/RiscOS/Sources/Networking/AUN/BootNet/Makefile
@@ -35,4 +35,4 @@ RESOURCES  = No
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/AUN/Net/Makefile b/castle/RiscOS/Sources/Networking/AUN/Net/Makefile
index 68fa008..96c2b79 100644
--- a/castle/RiscOS/Sources/Networking/AUN/Net/Makefile
+++ b/castle/RiscOS/Sources/Networking/AUN/Net/Makefile
@@ -54,4 +54,4 @@ io_e.o:
 resources:
         @echo ${COMPONENT}: resource files are in AUNMsgs
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/AUN/Net/podule/Makefile b/castle/RiscOS/Sources/Networking/AUN/Net/podule/Makefile
index 0f0d330..bf00899 100644
--- a/castle/RiscOS/Sources/Networking/AUN/Net/podule/Makefile
+++ b/castle/RiscOS/Sources/Networking/AUN/Net/podule/Makefile
@@ -88,167 +88,4 @@ rm.NetP: ${OBJS} cmhg.MNSHdr_p ${LCLIB}
          ${LD} -o $@ -module -map o.mnshdr_p ${OBJS} ${CLIB} > map.linkmap_p
 
 
-# Dynamic dependencies:
-o.mns:	c.mns
-o.mns:	C:h.kernel
-o.mns:	C:h.swis
-o.mns:	INetInc:sys.h.types
-o.mns:	INetInc:sys.h.uio
-o.mns:	INetInc:sys.h.socket
-o.mns:	INetInc:sys.h.time
-o.mns:	INetInc:sys.h.time
-o.mns:	INetInc:sys.h.ioctl
-o.mns:	INetInc:sys.h.ttychars
-o.mns:	INetInc:sys.h.ttydev
-o.mns:	INetInc:sys.h.dcistructs
-o.mns:	INetInc:netinet.h.in
-o.mns:	INetInc:net.h.if
-o.mns:	INetInc:sys.h.mbuf
-o.mns:	INetInc:net.h.if_arp
-o.mns:	INetInc:sys.h.socket
-o.mns:	INetInc:protocols.h.routed
-o.mns:	h.netasm
-o.mns:	h.module
-o.mns:	h.mnscommon
-o.mns:	h.configure
-o.mns:	h.debug
-o.mns:	h.inetfn
-o.mns:	h.io
-o.mns:	h.showrt
-o.mns:	h.stubs
-o.mns:	h.swicode
-o.mns:	h.text
-o.mns:	h.routecode
-o.mns:	h.mns
-o.mnscommon:	c.mnscommon
-o.mnscommon:	C:h.kernel
-o.mnscommon:	C:h.swis
-o.mnscommon:	INetInc:sys.h.types
-o.mnscommon:	INetInc:sys.h.socket
-o.mnscommon:	INetInc:sys.h.ioctl
-o.mnscommon:	INetInc:sys.h.ttychars
-o.mnscommon:	INetInc:sys.h.ttydev
-o.mnscommon:	INetInc:netinet.h.in
-o.mnscommon:	INetInc:sys.h.dcistructs
-o.mnscommon:	h.netasm
-o.mnscommon:	h.module
-o.mnscommon:	h.debug
-o.mnscommon:	h.mns
-o.mnscommon:	h.mnscommon
-o.mnscommon:	h.text
-o.io:	c.io
-o.io:	INetInc:sys.h.types
-o.io:	INetInc:sys.h.socket
-o.io:	INetInc:netinet.h.in
-o.io:	INetInc:netinet.h.in_systm
-o.io:	INetInc:netinet.h.ip
-o.io:	INetInc:netinet.h.in_systm
-o.io:	INetInc:netinet.h.ip_var
-o.io:	INetInc:netinet.h.udp
-o.io:	INetInc:netinet.h.udp_var
-o.io:	INetInc:sys.h.errno
-o.io:	INetInc:sys.^.h.errno
-o.io:	C:h.kernel
-o.io:	INetInc:sys.h.mbuf
-o.io:	C:h.kernel
-o.io:	C:h.swis
-o.io:	h.module
-o.io:	h.io
-o.io:	h.mns
-o.io:	h.netasm
-o.io:	h.stubs
-o.swis:	c.swis
-o.swis:	C:h.kernel
-o.swis:	C:h.swis
-o.swis:	INetInc:sys.h.types
-o.swis:	h.module
-o.swis:	h.debug
-o.swis:	h.inetfn
-o.swis:	h.mns
-o.swis:	h.mnscommon
-o.swis:	h.netasm
-o.swis:	h.io
-o.swis:	h.swicode
-o.configure:	c.configure
-o.configure:	C:h.kernel
-o.configure:	C:h.swis
-o.configure:	INetInc:sys.h.types
-o.configure:	INetInc:sys.h.socket
-o.configure:	INetInc:sys.h.ioctl
-o.configure:	INetInc:sys.h.ttychars
-o.configure:	INetInc:sys.h.ttydev
-o.configure:	INetInc:sys.h.dcistructs
-o.configure:	INetInc:net.h.if
-o.configure:	INetInc:sys.h.mbuf
-o.configure:	INetInc:net.h.if_arp
-o.configure:	INetInc:sys.h.socket
-o.configure:	h.configure
-o.configure:	h.swicode
-o.configure:	h.module
-o.configure:	h.debug
-o.netasm: s.netasm
-o.netasm: Hdr:ListOpts
-o.netasm: Hdr:Macros
-o.netasm: Hdr:System
-o.netasm: Hdr:SWIs
-o.netasm: Hdr:CPU.Generic26
-o.netasm: Hdr:IO.GenericIO
-o.netasm: Hdr:RISCOS
-o.netasm: Hdr:EnvNumbers
-o.netasm: Hdr:FSNumbers
-o.netasm: Hdr:NewErrors
-o.netasm: Hdr:ModHand
-o.netasm: Hdr:Econet
-o.netasm: Hdr:MsgTrans
-o.netasm: Hdr:Symbols
-o.netasm: Hdr:CMOS
-o.route:	c.route
-o.route:	INetInc:sys.h.types
-o.route:	INetInc:sys.h.socket
-o.route:	INetInc:sys.h.ioctl
-o.route:	INetInc:sys.h.ttychars
-o.route:	INetInc:sys.h.ttydev
-o.route:	INetInc:net.h.route
-o.route:	INetInc:protocols.h.routed
-o.route:	INetInc:netinet.h.in
-o.route:	h.module
-o.route:	h.routecode
-o.route:	h.stubs
-o.showrt:	c.showrt
-o.showrt:	C:h.kernel
-o.showrt:	INetInc:sys.h.types
-o.showrt:	INetInc:sys.h.socket
-o.showrt:	INetInc:sys.h.ioctl
-o.showrt:	INetInc:sys.h.ttychars
-o.showrt:	INetInc:sys.h.ttydev
-o.showrt:	INetInc:sys.h.mbuf
-o.showrt:	INetInc:net.h.route
-o.showrt:	INetInc:netinet.h.in
-o.showrt:	h.module
-o.showrt:	h.mnscommon
-o.showrt:	h.mns
-o.showrt:	h.showrt
-o.showrt:	h.stubs
-o.text:	c.text
-o.text:	INetInc:sys.h.types
-o.text:	h.module
-o.text:	h.text
-o.stubs:	c.stubs
-o.stubs:	C:h.kernel
-o.stubs:	INetInc:sys.h.types
-o.stubs:	INetInc:sys.h.errno
-o.stubs:	INetInc:sys.^.h.errno
-o.stubs:	C:h.kernel
-o.stubs:	INetInc:sys.h.socket
-o.stubs:	INetInc:sys.h.time
-o.stubs:	INetInc:sys.h.time
-o.stubs:	h.stubs
-o.stubs:	h.debug
-o.inetfn:	c.inetfn
-o.inetfn:	INetInc:sys.h.types
-o.inetfn:	INetInc:netinet.h.in
-o.inetfn:	h.inetfn
-o.debug:	c.debug
-o.debug:	C:h.kernel
-o.debug:	C:h.swis
-o.debug:	h.debug
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/BBCEconet/Makefile b/castle/RiscOS/Sources/Networking/BBCEconet/Makefile
index bba90b5..2764b21 100644
--- a/castle/RiscOS/Sources/Networking/BBCEconet/Makefile
+++ b/castle/RiscOS/Sources/Networking/BBCEconet/Makefile
@@ -31,4 +31,4 @@ RESOURCES     = No
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/DHCP/Makefile b/castle/RiscOS/Sources/Networking/DHCP/Makefile
index aaa0c94..2774b23 100644
--- a/castle/RiscOS/Sources/Networking/DHCP/Makefile
+++ b/castle/RiscOS/Sources/Networking/DHCP/Makefile
@@ -44,4 +44,4 @@ include CModule
 
 CFLAGS      += -wp
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/Econet/Loader/Makefile b/castle/RiscOS/Sources/Networking/Econet/Loader/Makefile
index 3760551..0b852f3 100644
--- a/castle/RiscOS/Sources/Networking/Econet/Loader/Makefile
+++ b/castle/RiscOS/Sources/Networking/Econet/Loader/Makefile
@@ -68,16 +68,4 @@ ${LOADER}: s.Loader
         ${AS} s.Loader $@ ${AFLAGS}
 
 #---------------------------------------------------------------------------
-# Dynamic dependencies:
-rm.Loader: Hdr:ListOpts
-rm.Loader: Hdr:Macros
-rm.Loader: Hdr:System
-rm.Loader: Hdr:SWIs
-rm.Loader: Hdr:CPU.Generic26
-rm.Loader: Hdr:IO.GenericIO
-rm.Loader: Hdr:RISCOS
-rm.Loader: Hdr:ModHand
-rm.Loader: Hdr:FSNumbers
-rm.Loader: Hdr:NewErrors
-rm.Loader: Hdr:Podule
-rm.Loader: Version
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/Econet/Makefile b/castle/RiscOS/Sources/Networking/Econet/Makefile
index 17526c4..4a1957e 100644
--- a/castle/RiscOS/Sources/Networking/Econet/Makefile
+++ b/castle/RiscOS/Sources/Networking/Econet/Makefile
@@ -141,4 +141,4 @@ ${MESSAGESMOD}: ${MESSAGES} VersionNum
 
 #---------------------------------------------------------------------------
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/NetStatus/Makefile b/castle/RiscOS/Sources/Networking/NetStatus/Makefile
index 12aa112..a11d01d 100644
--- a/castle/RiscOS/Sources/Networking/NetStatus/Makefile
+++ b/castle/RiscOS/Sources/Networking/NetStatus/Makefile
@@ -32,4 +32,4 @@ RESOURCES = No
 include StdTools
 include AAsmModule
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Networking/Omni/Protocols/LanManFS/Makefile b/castle/RiscOS/Sources/Networking/Omni/Protocols/LanManFS/Makefile
index 2db6381..0ec2514 100644
--- a/castle/RiscOS/Sources/Networking/Omni/Protocols/LanManFS/Makefile
+++ b/castle/RiscOS/Sources/Networking/Omni/Protocols/LanManFS/Makefile
@@ -174,4 +174,4 @@ rom_link:
         ${CP} linked.${COMPONENT} ${LINKDIR}.${COMPONENT} ${CPFLAGS}
         @echo ${COMPONENT}: rom_link complete
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/Modules/MakePSFont/Makefile b/castle/RiscOS/Sources/Printing/Modules/MakePSFont/Makefile
index f00cc3c..7e2ab5a 100644
--- a/castle/RiscOS/Sources/Printing/Modules/MakePSFont/Makefile
+++ b/castle/RiscOS/Sources/Printing/Modules/MakePSFont/Makefile
@@ -149,4 +149,4 @@ rom_link:
 ${EXP_HDR}.MakePSFont: hdr.MakePSFont
         ${CP} hdr.MakePSFont $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/Modules/PDriver/Makefile b/castle/RiscOS/Sources/Printing/Modules/PDriver/Makefile
index 9f786c1..017d751 100644
--- a/castle/RiscOS/Sources/Printing/Modules/PDriver/Makefile
+++ b/castle/RiscOS/Sources/Printing/Modules/PDriver/Makefile
@@ -107,4 +107,4 @@ ${ROM_MODULE}: s.PDriver
 ${EXP_HDR}.PDriver: hdr.PDriver
         ${CP} hdr.PDriver $@ ${CPFLAGS}
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/Makefile
index 4d8d0f4..6e3207b 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/Makefile
@@ -165,4 +165,4 @@ Sprite:
         ${SUBMAKE} ^.rm.PDumperSP25 INSTDIR=^.rm
         @back
 
-# Dynamic dependencies:
+include Depends
diff --git a/castle/RiscOS/Sources/Printing/PDumpers/PDumper24/Makefile b/castle/RiscOS/Sources/Printing/PDumpers/PDumper24/Makefile
index 792b9e5..244d304 100644
--- a/castle/RiscOS/Sources/Printing/PDumpers/PDumper24/Makefile
+++ b/castle/RiscOS/Sources/Printing/PDumpers/PDumper24/Makefile
@@ -39,4 +39,4 @@ export_hdrs:: ^.hdr.PDumper
         ${CP} ^.hdr.PDumper ${EXP_HDR}.PDumper ${CPFLAGS}
         @${ECHO} ${COMPONENT}: header export complete
 
-# Dynamic dependencies:
+include Depends
